Skip to main content
POST
/
wallet
/
api
/
cardTrans
/
all
Query all card transaction info under agency
curl --request POST \
  --url https://access-wallet.test.ftrader.pro/wallet/api/cardTrans/all
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "dataTotal": 123,
    "haveNext": true,
    "list": [
      {
        "appId": "<string>",
        "appUserId": "<string>",
        "amount": 123,
        "cardAssetId": 123,
        "cardId": 123,
        "createAt": "2023-11-07T05:31:56Z",
        "currency": "<string>",
        "decimalPlaces": 123,
        "desc": "<string>",
        "feeAmount": 123,
        "flowNo": "<string>",
        "icon": "<string>",
        "intent": "<string>",
        "postedAt": "2023-11-07T05:31:56Z",
        "status": "CREATED",
        "symbol": "<string>",
        "time": "2023-11-07T05:31:56Z",
        "title": "<string>",
        "totalAmount": 123
      }
    ]
  }
}

Query Parameters

agencyCode
string
required

Agency Code

appId
string
required

App ID

appUserId
string
required

appUserId (if provided, query card list of specified user)

pageNo
integer<int32>
required

Page Number

pageSize
integer<int32>
required

Items per page

sign
string
required

Sign

userEmail
string
required

email (if provided, query card list of specified user)

Response

200 - application/json

OK

code
integer<int32>
required
msg
string
required
data
AppPage«UserCardFlowDTO» · object